#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
  int n,s=0;
  cin>>n;
  vector<int> v(n);
  for(int i=0;i<n;i++)
    {
    cin>>v[i];
    }
while(n!=0)
{
sort(v.rbegin(),v.rend());
if(v[0]<=0) {cout<<s;return 0;}
int x=v[0];
v[0]=0;
s+=x;
for(int i=1;i<n;i++)
    {
    if(v[i]!=x ) v[i]--;
    }
}

}

